#!/usr/bin/env python


import sys

def ones_in_bin(i, x, r):        
    skip = 12-x-r-1
    i = i >> skip
    sum = 0
    for n in range(2*r+1):
        sum += i & 1
        i = i >> 1
    return sum

def get_1r_equivalent_map(code):
    map = []
    for i in range(0, 16**3):
        state = 0
        for x in range(4, 8):
            sum = ones_in_bin(i, x, 4)
            state = (state << 1) + ((273 >> sum) & 1)
            if i == 4094:
                print sum, state
        map.append(state)
    return map

def dec2bin(n):
    ret = ""
    while n > 0:
        ret = "%s%d" % (ret, (n & 1))
        n = n >> 1
    return ret

if __name__ == "__main__":
    print "".join(reversed(["%x" % x for x in get_1r_equivalent_map(273)]))
