#!/usr/bin/env python

import sys
from pdfdraw import Make_PDF
from ca import *
from random import randint

img = Make_PDF("rule110.pdf", pagesize="150x100", grid="1x1",
               caption="Rule 110",
               placement="h!", width="\\textwidth")

r = CA1D_Rule(110)
l = CA1D_Lattice(size=300, random=True)
ca = CA1D(lattice=l, rule=r, iterations=200)
img.draw_ca(ca, (0,0))
img.save()


