#!/usr/bin/env python

import sys
from pdfdraw import Make_PDF
from ca import *
from random import randint

def probs(L, i):
    if randint(0,99) < 30:
        return 1
    return L.N[i]

img = Make_PDF("rule30.pdf", pagesize="150x75", grid="1x1",
               caption="A cellular automaton",
               placement="h!", width="0.8\\textwidth")

r = CA1D_Rule(30)
l = CA1D_Lattice(size=200, initial="*1*")
ca = CA1D(lattice=l, rule=r, iterations=100)
img.draw_ca(ca, (0,0))
img.save()
